// Name: Nathaniel Paulus
// Date: April 18, 2018
// Lab number: 3
// Description: Takes an array as input and outputs the elements in reverse order

#include <iostream>
using namespace std;

void print_array(int[], int);

int main() {
  cout << "How many numbers do you want to enter? ";
  int length;
  cin >> length;

  int *numbers = new int[length];

  for(int i = 0; i < length; i++) {
    cout << "Enter another number: ";
    cin >> numbers[i];
  }

  cout << "Original array:" << endl;
  print_array(numbers, length);

  int numbers_reversed[length];
  for(int i = 0; i < length; i++) {
    numbers_reversed[i] = numbers[length - i - 1];
  }

  cout << "Array after reversal:" << endl;
  print_array(numbers_reversed, length);

  delete [] numbers;
}

void print_array(int array[], int length) {
  cout << "[";
  for(int i = 0; i < length; i++) {
    cout << array[i];
    if(i + 1 != length) cout << ", ";
  }
  cout << "]" << endl;
}
