// Name: Nathaniel Paulus
// Date: April 18, 2018
// Lab number: 3
// Description: Takes an array as input and outputs the array with the first and last elements swapped

#include <iostream>
using namespace std;

void print_array(int[], int);

int main() {
  cout << "How many numbers do you want to enter? ";
  int length;
  cin >> length;

  int *numbers = new int[length];

  for(int i = 0; i < length; i++) {
    cout << "Enter another number: ";
    cin >> numbers[i];
  }

  cout << "Original array:" << endl;
  print_array(numbers, length);

  int temp = numbers[0];
  numbers[0] = numbers[length-1];
  numbers[length-1] = temp;

  cout << "Array after first and last elements are swapped:" << endl;
  print_array(numbers, length);
}

void print_array(int array[], int length) {
  cout << "[";
  for(int i = 0; i < length; i++) {
    cout << array[i];
    if(i + 1 != length) cout << ", ";
  }
  cout << "]" << endl;
}
